# eric7.WebBrowser.Network.EricSchemeHandler

Module implementing a scheme handler for the eric: scheme.

### Global Attributes

_SupportedPages

### Classes

EricSchemeHandler | Class implementing a scheme handler for the eric: scheme.
EricSchemeReply | Class implementing a reply for a requested eric: page.

### Functions

None

## EricSchemeHandler

Class implementing a scheme handler for the eric: scheme.

### Derived from

QWebEngineUrlSchemeHandler

### Class Attributes

None

### Class Methods

None

### Methods

EricSchemeHandler | Constructor
__replyClosed | Private slot handling the closed signal of a reply.
requestStarted | Public method handling the URL request.

### Static Methods

None

#### EricSchemeHandler (Constructor)

EricSchemeHandler(parent=None)

Constructor

parent (QObject)
  reference to the parent object

#### EricSchemeHandler.__replyClosed

__replyClosed(reply)

Private slot handling the closed signal of a reply.

reply (EricSchemeReply)
  reference to the network reply

#### EricSchemeHandler.requestStarted

requestStarted(job)

Public method handling the URL request.

job (QWebEngineUrlRequestJob)
  URL request job

Up

## EricSchemeReply

Class implementing a reply for a requested eric: page.

### Signals

closed
  emitted to signal that the web engine has read the data

### Derived from

QIODevice

### Class Attributes

_speedDialPage

### Class Methods

None

### Methods

EricSchemeReply | Constructor
__adBlockPage | Private method to build the AdBlock page.
__errorPage | Private method to build the Error page.
__loadPage | Private method to load the requested page.
__speedDialPage | Private method to create the Speeddial page.
__startPage | Private method to build the Start page.
bytesAvailable | Public method to get the number of available bytes.
close | Public method used to cloase the reply.
readData | Public method to retrieve data from the reply object.

### Static Methods

None

#### EricSchemeReply (Constructor)

EricSchemeReply(job, parent=None)

Constructor

job (QWebEngineUrlRequestJob)
  reference to the URL request
parent (QObject)
  reference to the parent object

#### EricSchemeReply.__adBlockPage

__adBlockPage()

Private method to build the AdBlock page.

Return:
  built AdBlock page

Return Type:
  str

#### EricSchemeReply.__errorPage

__errorPage()

Private method to build the Error page.

Return:
  built Error page

Return Type:
  str

#### EricSchemeReply.__loadPage

__loadPage()

Private method to load the requested page.

#### EricSchemeReply.__speedDialPage

__speedDialPage()

Private method to create the Speeddial page.

Return:
  prepared speeddial page

Return Type:
  str

#### EricSchemeReply.__startPage

__startPage()

Private method to build the Start page.

Return:
  built Start page

Return Type:
  str

#### EricSchemeReply.bytesAvailable

bytesAvailable()

Public method to get the number of available bytes.

Return:
  number of available bytes

Return Type:
  int

#### EricSchemeReply.close

close()

Public method used to cloase the reply.

#### EricSchemeReply.readData

readData(maxlen)

Public method to retrieve data from the reply object.

maxlen
  maximum number of bytes to read (integer)

Return:
  string containing the data (bytes)

Up